> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twixb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sources

> List all sources in a newsfeed.

# List Sources

<div className="method-badge get">GET</div> `/v1/sources/{newsfeed_id}`

## Path parameters

| Parameter     | Type          | Description |
| ------------- | ------------- | ----------- |
| `newsfeed_id` | string (UUID) | Newsfeed ID |

```bash theme={null}
curl https://twixb.com/api/v1/sources/f296206d-... \
  -H "X-API-Key: twxb_your_key_here"
```

## Response

```json theme={null}
[
  {
    "id": "a174bc15-4c12-4aa1-9a1c-d2b94bdb8508",
    "newsfeed_id": "f296206d-d083-475d-a25a-711b044962d0",
    "url": "https://openai.com/blog",
    "source_type": "blog",
    "check_interval_minutes": 1440,
    "last_checked_at": "2026-03-12T14:15:39.424366",
    "is_active": true,
    "created_at": "2026-02-13T13:37:58.874522",
    "post_count": 42,
    "rss_feed_url": "https://openai.com/blog/rss.xml",
    "use_rss": true
  }
]
```

## Response fields

| Field                    | Type          | Description                                             |
| ------------------------ | ------------- | ------------------------------------------------------- |
| `id`                     | string (UUID) | Source ID                                               |
| `url`                    | string        | Source URL                                              |
| `source_type`            | string        | `blog`, `x`, `instagram`, `tiktok`, or `reddit`         |
| `check_interval_minutes` | integer       | How often the source is checked (default: 1440 = daily) |
| `last_checked_at`        | string        | Last check timestamp                                    |
| `is_active`              | boolean       | Whether the source is actively monitored                |
| `post_count`             | integer       | Total posts discovered from this source                 |
| `rss_feed_url`           | string        | Discovered RSS feed URL (blogs only)                    |
| `use_rss`                | boolean       | Whether RSS is used for ingestion                       |
